Bug 146839 - Need to fix pluralization in code
Need to fix pluralization in code
Product: Red Hat Satellite 5
Classification: Red Hat
Component: i18n (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
Blocks: rhnMilestone1 rhn400i18n
  Show dependency treegraph
Reported: 2005-02-01 18:39 EST by Mike McCune
Modified: 2007-10-23 22:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-14 16:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-02-01 18:39:49 EST
> Another thing, I don't know to what degree there is an issue with
> singular and plural, I am merely asking, because I found an entry 's' to
> be translated. I've found a few such entries in the perl code, and all
> these referred to the 's' to be appended to a singular word, in order to
> create its plural. This does only apply to english and singular/plural
> needs to be treated as two different words in translations, if used. If
> there is a way to use a form that applies to both cases, good, if there
> needs to be made a distinction between singular and plural, these must
> be separate entries, one for the singular form, and one for the
plural form.

Yeah, you raise an excellent point.  We need to fix this.  Can't have
the code pluralize a word based on a suffix.  Instead it has to lookup
two entire different trans-units.  Thanks for catching this.
Comment 1 Mike McCune 2005-03-14 16:47:29 EST
updating hours worked

Note You need to log in before you can comment on or make changes to this bug.